<?php

/**
 * @file
 * Contains \Drupal\field_ui_ajax\Controller\FieldUiHtmlFormController.
 */

namespace Drupal\field_ui_ajax\Controller;

use Drupal\Core\Form\FormBuilderInterface;
use Drupal\Core\Routing\RouteMatchInterface;
use Symfony\Component\HttpFoundation\Request;
use Drupal\Core\DependencyInjection\ClassResolverInterface;
use Drupal\Core\Controller\HtmlFormController;

/**
 * Wrapping controller for forms that serve as the main page body.
 */
class FieldUiHtmlFormController extends HtmlFormController {

  /**
   * Constructs a new \Drupal\Core\Routing\Enhancer\FormEnhancer object.
   *
   * @param \Drupal\Core\Controller\ControllerResolverInterface $controller_resolver
   *   The controller resolver.
   * @param \Drupal\Core\Form\FormBuilderInterface $form_builder
   *   The form builder.
   * @param \Drupal\Core\DependencyInjection\ClassResolverInterface $class_resolver
   *   The class resolver.
   */
  public function __construct(ControllerResolverInterface $controller_resolver, FormBuilderInterface $form_builder, ClassResolverInterface $class_resolver) {
    parent::__construct($controller_resolver, $form_builder, $class_resolver);
  }

  /**
   * {@inheritdoc}
   */
  protected function getFormArgument(RouteMatchInterface $route_match) {
    return $route_match->getRouteObject()->getDefault('_field_ui_form');
  }

  /**
   * Invokes the form and returns the result.
   *
   * @param \Symfony\Component\HttpFoundation\Request $request
   *   The request object.
   * @param \Drupal\Core\Routing\RouteMatchInterface $route_match
   *   The route match.
   *
   * @return array
   *   The render array that results from invoking the controller.
   */
  public function fieldStorageAddForm(Request $request, RouteMatchInterface $route_match) {
    $form = parent::getContentResult($request, $route_match);

    return $form;
  }

}
